dnl	site.config.m4 - Local version of "site.config.m4"
dnl Revision: 070301

dnl The following  comment applies to "site.config.m4.in",  and not to
dnl "site.config.m4": The meta-symbol used in these definitions should
dnl be replaced  with the appropriate install-tree directory path. The
dnl resulting file  should be  copied to the following location in the
dnl source tree:
dnl
dnl devtools/Site/site.config.m4

dnl Warning:  You can't put whitespace  before the  commas used in the
dnl these definitions.

define(`confINCLUDEDIR', `__META_PREFIX__/include')
define(`confLIBDIR',     `__META_PREFIX__/misc')
define(`confMANROOT',    `__META_PREFIX__/man/man')
define(`confHFDIR',      `__META_PREFIX__/misc')
define(`confSTDIR',      `/etc/mail')

define(`confBINDIR',     `__META_PREFIX__/sbin')
define(`confEBINDIR',    `__META_PREFIX__/sbin')
define(`confMBINDIR',    `__META_PREFIX__/sbin')
define(`confSBINDIR',    `__META_PREFIX__/sbin')
define(`confUBINDIR',    `__META_PREFIX__/bin')

APPENDDEF(`confLIBDIRS', `-L/usr/local/lib')
APPENDDEF(`confINCDIRS', `-I/usr/local/include')
APPENDDEF(`confENVDEF', `-DMILTER -DTCPWRAPPERS')
APPENDDEF(`confLIBS', `-ldb -lwrap -lresolv')
APPENDDEF(`confMAPDEF', `-DNEWDB')
APPENDDEF(`conf_sendmail_ENVDEF', `-DMILTER -DTCPWRAPPERS')

define(`confMANGRP',  `root')
define(`confMANOWN',  `root')
define(`confSBINGRP', `root')
define(`confUBINGRP', `root')
define(`confUBINOWN', `root')

define(`confMTCCOPTS', `-D_REENTRANT')
define(`confMTLDOPTS', `-lpthread')
define(`confLDOPTS_SO', `-shared')
define(`confSONAME',    `-soname')
define(`confOPTIMIZE',  `-s -O3 -fomit-frame-pointer')
